Loading...
Searching...
No Matches
ir_ncode Struct Reference

IR Command, corresponding to one (command defining) line of the configuration file. More...

`#include <ir_remote_types.h>`

## Public Attributes

char * | name
| Name of command.
ir_code | code
| The first code of the command.
int | length
| (private)
lirc_t * | signals
| (private)
struct ir_code_node * | next
| Linked list of the subsequent ir_code's, after the first one.
struct ir_code_node * | current
| Should point at the ir_code currently being transmitted, or NULL if none.
struct ir_code_node * | transmit_state
| (private)
struct ir_ncode * | next_ncode
| Next code in recorded buttons list.

## Detailed Description

IR Command, corresponding to one (command defining) line of the configuration file.

Normally, there is only one ir_code herein (field code), however, there may be more, namely in the linked list in the field next.

Definition at line 60 of file ir_remote_types.h.

## Member Data Documentation

## code

ir_code ir_ncode::code

The first code of the command.

Definition at line 65 of file ir_remote_types.h.

## current

struct ir_code_node* ir_ncode::current

Should point at the ir_code currently being transmitted, or NULL if none.

Definition at line 79 of file ir_remote_types.h.

## length

int ir_ncode::length

(private)

Definition at line 68 of file ir_remote_types.h.

## name

char* ir_ncode::name

Name of command.

Definition at line 62 of file ir_remote_types.h.

## next

struct ir_code_node* ir_ncode::next

Linked list of the subsequent ir_code's, after the first one.

NULL if there is only one ir_code (normal case).

Definition at line 75 of file ir_remote_types.h.

## next_ncode

struct ir_ncode* ir_ncode::next_ncode

Next code in recorded buttons list.

Definition at line 85 of file ir_remote_types.h.

## signals

lirc_t* ir_ncode::signals

(private)

Definition at line 71 of file ir_remote_types.h.

## transmit_state

struct ir_code_node* ir_ncode::transmit_state

(private)

Definition at line 82 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_sysutils_lirc/lirc/work/lirc-0.10.2/lib/ir_remote_types.h